# -*- coding=utf8 -*-
#******************************************************************************
# addon.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import sys
import xbmc
import xbmcgui
import xbmcaddon
import xbmcplugin

class BhvCam(object):
    
    PLUGIN_NAME = "plugin.video.bhvcam"
    
    _plugin_id      = None
    _addon          = None
    
    def __init__(self):
        self._register_addon()
        self._process_request()
        
    def _register_addon(self):
        self._plugin_id = int(sys.argv[1])
        self._addon = xbmcaddon.Addon(id = self.PLUGIN_NAME)

    def _process_request(self):
        url = xbmcplugin.getSetting(self._plugin_id, "url")
        title = xbmcplugin.getSetting(self._plugin_id, "title")
        listitem = xbmcgui.ListItem(title)
        xbmc.Player(xbmc.PLAYER_CORE_AUTO).play(url, listitem)

if __name__ == "__main__":
    BhvCam()
                